Package com.xebialabs.xlrelease.plugins.dashboard.domain

# Enum Class TileScope

java.lang.Object
java.lang.Enum<TileScope>
com.xebialabs.xlrelease.plugins.dashboard.domain.TileScope

All Implemented Interfaces:
  `Serializable`, `Comparable<TileScope>`, `Constable`

public enum TileScope extends Enum<TileScope>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FOLDER`
  `GLOBAL`
  `HOME`
  `RELEASE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<String>`
  `ALL_VALUES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static TileScope`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TileScope[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RELEASE

    public static final TileScope RELEASE

  - ### FOLDER

    public static final TileScope FOLDER

  - ### GLOBAL

    public static final TileScope GLOBAL

  - ### HOME

    public static final TileScope HOME

- ## Field Details

  - ### ALL_VALUES

    public static final List<String> ALL_VALUES

- ## Method Details

  - ### values

    public static TileScope[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TileScope valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()